# Escrows

This endpoint retrieves XRP locked in on-ledger time based escrows for a given account.

Escrow is a feature of the XRP Ledger that allows you to send conditional XRP payments. These conditional payments, called *escrows*, set aside XRP and deliver it later when certain conditions are met.

{% embed url="<https://xrpl.org/account_objects.html#account_objects>" %}
Read more about account\_objects on xrpl.org
{% endembed %}

## Request

{% tabs %}
{% tab title="GET" %}

```
GET /api/v1/account/{ACCOUNT}/escrows
```

{% endtab %}
{% endtabs %}

## Example

{% tabs %}
{% tab title="curl" %}

```
curl https://api.xrpscan.com/api/v1/account/rPEPPER7kfTD9w2To4CQk6UCfuHM9c6GDY/escrows
```

{% endtab %}
{% endtabs %}

## Response

{% tabs %}
{% tab title="JSON" %}

```json
[
  {
    "Account": "rPEPPER7kfTD9w2To4CQk6UCfuHM9c6GDY",
    "Amount": "250000000",
    "Destination": "rHhuUU6kb2DVaHYVkNjeH5NLuFPiVz98Pa",
    "DestinationNode": "0",
    "DestinationTag": 0,
    "FinishAfter": 734639400,
    "Flags": 0,
    "LedgerEntryType": "Escrow",
    "OwnerNode": "1",
    "PreviousTxnID": "A6AEA6C63575A09157A2DA74C6D50DA6C2A88E8172823578E6B79DEFB780B7EE",
    "PreviousTxnLgrSeq": 43448639,
    "SourceTag": 20145,
    "index": "CD87787EC9BF895988871B56855F446BB85652A9E7FF6B4CABD4A9104324CCF0",
    "AccountName": {
      "name": "XRP Tip Bot",
      "account": "rPEPPER7kfTD9w2To4CQk6UCfuHM9c6GDY",
      "domain": "xrptipbot.com",
      "twitter": "xrptipbot",
      "verified": true
    }
  },
  {
    "Account": "rPEPPER7kfTD9w2To4CQk6UCfuHM9c6GDY",
    "Amount": "10000000",
    "Destination": "rp31TCoguTHzVgS5sV6BVYo1L4r6GLPtUZ",
    "DestinationNode": "0",
    "DestinationTag": 0,
    "FinishAfter": 739737000,
    "Flags": 0,
    "LedgerEntryType": "Escrow",
    "OwnerNode": "2",
    "PreviousTxnID": "4C7EA45CCE5CA877182F0D40E53CA389B71C8421D854870FDB5E074C954EBE94",
    "PreviousTxnLgrSeq": 44260645,
    "SourceTag": 7316,
    "index": "D0EA95685C9C08DE1D4AB7ABF64D563C22DFB9B6B29F4189291C2993CECC3D45",
    "AccountName": {
      "name": "XRP Tip Bot",
      "account": "rPEPPER7kfTD9w2To4CQk6UCfuHM9c6GDY",
      "domain": "xrptipbot.com",
      "twitter": "xrptipbot",
      "verified": true
    }
  },
  ...
]
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xrpscan.com/api-documentation/account/escrows.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
